## memscanner 1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(memscanner)
find_package(Qt4 REQUIRED)

add_subdirectory(memscanner)



CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

## memscanner 1.3-6

=== memscanner/CMakeLists.txt ===
include(${QT_USE_FILE})

add_subdirectory(pList)


set(memscanner_SRCS
    main.cpp
    mainwindow.cpp
    ranges.cpp
    themes.cpp
    scan.cpp
)



set(memscanner_UIS
    mainwindow.ui
    themes.ui
)

QT4_WRAP_UI(memscanner_UIS_H ${memscanner_UIS})



set(memscanner_MOC_HDRS
    mainwindow.h
    themes.h
    scan.h
)

QT4_WRAP_CPP(memscanner_MOC_SRCS ${memscanner_MOC_HDRS})



set(memscanner_RCS
    resources.qrc
)

QT4_ADD_RESOURCES(memscanner_RC_SRCS ${memscanner_RCS})



add_executable(memscanner ${memscanner_SRCS} ${memscanner_UIS_H} ${memscanner_MOC_SRCS} ${memscanner_RC_SRCS})

target_link_libraries(memscanner ${QT_LIBRARIES} pList)



install(
    TARGETS memscanner
    RUNTIME DESTINATION /usr/bin
)

=== memscanner/pList/CMakeLists.txt ===
add_library (pList pList.cpp)
target_link_libraries(pList boost_regex)

=== debian/changelog ===
memscanner (1.3-6) unstable; urgency=low

  * fix

 -- unknown <bonapart@programist.ru>  Sat, 23 Oct 2010 15:05:10 +0000

## memscanner 1.3-7

=== debian/changelog ===
memscanner (1.3-7) unstable; urgency=low

  * fix

 -- unknown <bonapart@programist.ru>  Sat, 23 Oct 2010 15:05:10 +0000

=== debian/control ===
Source: memscanner
Section: user/games
Priority: extra
Maintainer: unknown <bonapart@programist.ru>
Build-Depends: debhelper (>= 5),libqt4-dev, libboost-regex1.42-dev  ,cmake
Standards-Version: 3.7.3
Homepage: http://code.google.com/p/memscanner/

Package: memscanner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Memscaner for system and progs
 program simular to artmoney

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	cmake .
	$(MAKE) 
	#docbook-to-man debian/memscanner.sgml > memscanner.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/memscanner.
	$(MAKE) DESTDIR="$(CURDIR)"/debian/memscanner install
	mkdir -p "$(CURDIR)"/debian/memscanner/usr/share/applications/hildon/
	mkdir -p "$(CURDIR)"/debian/memscanner/usr/share/icons/hicolor/64x64/apps/
	mkdir -p "$(CURDIR)"/debian/memscanner/usr/share/icons/hicolor/48x48/apps/
	cp memscanner.desktop "$(CURDIR)"/debian/memscanner/usr/share/applications/hildon/memscanner.desktop
	cp memscanner64.png "$(CURDIR)"/debian/memscanner/usr/share/icons/hicolor/64x64/apps/memscanner.png
	cp memscanner48.png "$(CURDIR)"/debian/memscanner/usr/share/icons/hicolor/48x48/apps/memscanner.png
	


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
